def get_installed_services():
    from .models import AVAILABLE_SERVICES
    installed_services = []
    for available_service in AVAILABLE_SERVICES:
        installed_services.extend(available_service.objects.all())
    return installed_services

def get_operational_services():
    return [x for x in get_installed_services() if x.is_operational()]


class Zone:
    title = None
    zone_icon_id = None
    href = None

    def __init__(self, title, zone_icon_id, href):
        self.title = title
        self.zone_icon_id = zone_icon_id
        self.href = href
